!
! 
!=============================================================================
module cutable
!=============================================================================
! Module containin the data needed to enable the equal-area mapping 
! between the surface of the cube and the surface of the unit sphere.
!=============================================================================
use pkind, only: dp
implicit none
integer                              :: norh,norhp,norpp,n
real(dp)                             :: rb,gamma,gammac,kay,p,dx
real(dp),allocatable,dimension(:)    :: wx,wy,wxd,wyd
real(dp),allocatable,dimension(:,:)  :: linex,liney,lineg
real(dp),allocatable,dimension(:,:,:):: xcs
real(dp),dimension(3,3)              :: rotx,roty,rotd,rote
real(dp),dimension(3,3,6)            :: rotpan
end module cutable
